function HCS_Controls_Control_Change_jQueryButton(containerElement, eventHandler, globals, config) {
    this.config = config;
    this.container = containerElement;
    this.globals = globals;

    var _this = this;
    this.config.extreme = parseFloat(this.config.extreme);
    this.config.step = parseFloat(this.config.step);
    this.newValue = false;

    $(containerElement).empty();

    $(containerElement).append('<button title="' + config.title + '" style="' + config.style + '">' + config.text + '</button>');
    var buttonEle = $(containerElement).find("button");
    buttonEle.button().click(function(){
        if ((_this.newValue !== false) && (_this.globals['RIGHTS'] >= 2)){
            eventHandler.setValueSn(config.ccu, config.adr, config.dp, _this.newValue);
        } else {
            eventHandler.getValueSn(config.ccu, config.adr, config.dp);
        }
    });

    if (config.icon && config.icon != "") {
        $(buttonEle).button("option", "icons", {primary: config.icon});
        if (config.text == "") {
            $(buttonEle).button("option", "text", false);
        }
    }
    $(buttonEle).unbind('focus');
    if (this.globals['RIGHTS'] < 2){
        $(buttonEle).unbind('mouseenter');
        $(buttonEle).unbind('mousedown');
    }
    eventHandler.register(function (param) {_this.updateValue(param)}, {"1": {"ccu": config["ccu"], "adr": config["adr"], "dp": config["dp"]}});
}

HCS_Controls_Control_Change_jQueryButton.prototype = new Widget;
HCS_Controls_Control_Change_jQueryButton.prototype.constructor = HCS_Controls_Control_Change_jQueryButton;

HCS_Controls_Control_Change_jQueryButton.prototype.updateValue = function(value) {
    if (typeof value["1"] != "undefined") {
        this.value = parseFloat(value["1"]);
        if ((this.config.changeType == 'inc') ){
            this.newValue = this.value + this.config.step;
            if (this.newValue > this.config.extreme){
                this.newValue = this.config.extreme;
            }
        }
        if ((this.config.changeType == 'dec') ){
            this.newValue = this.value - this.config.step;
            if (this.newValue < this.config.extreme){
                this.newValue = this.config.extreme;
            }
        }
    }
};