function HCS_Controls_Image(containerElement, eventHandler, globals, config, selfPath) {
    this.config = config;
    this.imageSrc = "";
    if (config["internImage"] === true) {
        this.imageSrc = globals["rootPath"] + config["imagePath"];
    } else {
        this.imageSrc = config["imagePath"];
    }

    this.image = $('<img style="' + config["imgStyle"] + '" alt="' + config["alt"] + '" src="' + this.imageSrc + '" />');

    $(containerElement).append(this.image);
    if (isset(this.config.refreshInterval) && parseInt(this.config.refreshInterval) > 0) {
        this.interval = parseInt(this.config.refreshInterval) * 1000;
        setInterval(this.updateImage.bind(this), this.interval);
    }
    this.updateImage();
}
HCS_Controls_Image.prototype = new Widget;
HCS_Controls_Image.prototype.constructor = HCS_Controls_Image;

HCS_Controls_Image.prototype.updateImage = function () {
    var date = new Date();
    $(this.image).attr("src", this.imageSrc + "?" + date.getTime());
}