function HCS_Controls_Link_Text(containerElement, eventHandler, globals, config, selfPath) {
    this.config = config;
    this.container = containerElement;
    this.config.position = parseInt(this.config.position);

    if ((this.config.position < 1) || (this.config.position > 9)) {
        this.config.position = 1;
    }
    var newPage = "";
    if (config["newWindow"] === true) {
        newPage = 'target="_blank"';
    } else {
        newPage = "";
    }

    var href = '';
    if (config["intern"] === true) {
        href = globals["rootPath"] + config["href"] + globals["SID_ADD"] + config["internParam"];
    } else {
        href = config["href"];
    }

    $(this.container).addClass("linkText").empty();
    this.anchor = $('<a href="' + href + '" ' + newPage + ' style="' + this.config.style + '" />').css({
        'color': this.config.color,
        'font-size': this.config.fontSize,
        'font-family': this.config.fontFamily,
        'font-weight': this.config.fontWeight,
        'position': 'absolute',
        'line-height': this.config.fontSize
    }).append(this.config.text);
    $(this.container).append(this.anchor);

    if ((this.config.position <= 6)) {
        $(this.anchor).css({'left': '0'});
    }
    if ((this.config.position >= 4)) {
        $(this.anchor).css({'right': '0'});
    }
    if ((this.config.position == 4) || (this.config.position == 5) || (this.config.position == 6)) {
        $(this.anchor).css({'text-align': 'center'});
    }
    if ((this.config.position == 2) || (this.config.position == 5) || (this.config.position == 8)) {
        $(this.anchor).css({
            'top': '50%',
            'margin-top': '-' + parseInt($(this.anchor).height() / 2) + 'px'
        });
    }
    if ((this.config.position == 3) || (this.config.position == 6) || (this.config.position == 9)) {
        $(this.anchor).css({'bottom': '0'});
    }
}

HCS_Controls_Link_Text.prototype = new Widget;
HCS_Controls_Link_Text.prototype.constructor = HCS_Controls_Link_Text;