function HCS_Pic_Image(containerElement, eventHandler, globals, config, selfPath) {
    var _this = this;
    this.config = config;
    this.container = containerElement;
    this.eventHandler = eventHandler;
    this.globals = globals;
    if((typeof this.config.file === "undefined") || (this.config.file == '')){
        this.file = selfPath + 'images/status_missing.png';
    } else {
        this.file = selfPath + 'images/image/' + this.config.file;
    }

    this.button = $('<div style="border-width: 0px; background: 0px 0px url(\'' + this.file + '\') no-repeat;" />')

    var theImage = new Image();
    theImage.src = this.file;
    this.imageSourceWidth = parseInt(theImage.width);
    this.imageSourceHeight = parseInt(theImage.height);
    this.imageWidth = parseInt(this.imageSourceWidth);
    theImage.onload = function(){
        _this.imageSourceWidth = parseInt(theImage.width);
        _this.imageSourceHeight = parseInt(theImage.height);
        _this.imageWidth = parseInt(_this.imageSourceWidth);
        $(_this.button).css({
            'width': _this.imageWidth+'px',
            'height': _this.imageSourceHeight+'px'
        });
    };

    $(this.button).css({'width': this.imageWidth+'px','height': this.imageSourceHeight+'px'})
    $(containerElement).empty().append(this.button);
}
HCS_Pic_Image.prototype = new Widget;
HCS_Pic_Image.prototype.constructor = HCS_Pic_Image;