<?php
// <editor-fold defaultstate="collapsed" desc="CALLABLE PROTECTION">
// Make file not callable directly
if ( !defined('HCS_CALLABLE_FILE') ) {
    header('HTTP/1.0 404 Not Found');
    die('Do not access this file directly.');
    exit;
}
// </editor-fold>

define('HCS_VERSION', '0.0.3.2');
define('HCS_AUTHOR', 'Daniel T. Becker');
define('REQUIRED_PHP_VERSION', '5.3.0');
define('HCS_VERSION_BETA', FALSE);
if ( isset($svn_rev) ) {
    define('SVN_REV', $svn_rev);
}

// System defaults / available database managements systems
$_DEFAULTS = array(
    'default_lang' => 'german',
    'default_style' => 'homematic',
   'table_prefix' => 'hcs_',
    'dbms' => 'mysql'
);

$_DBMS = array(
    'mysql' => array(
        'label' => 'MySQL',
        'available' => true,
        'structure' => 'mysql',
        'name' => 'MySQL',
        'driver' => 'mysql',
        'schema' => 'mysql',
        'module' => 'mysql',
        'host' => 'localhost',
        'default_user' => 'root',
        'comments' => 'remove_remarks',
        'delim' => ';',
        'delim_basic' => ';'
    ),
    'mssql' => array(
        'label' => 'Microsoft SQL',
        'available' => true,
        'structure' => 'mssql',
        'name' => 'MSSQL',
        'driver' => 'mssql',
        'schema' => 'mssql',
        'module' => 'mssql',
        'host' => '.\\SQLEXPRESS',
        'default_user' => 'sa',
        'comments' => 'remove_remarks',
        'delim' => ';',
        'delim_basic' => ';'
    )
);


// EOF
?>