<?php

// <editor-fold defaultstate="collapsed" desc="CALLABLE PROTECTION">
// Make file not callable directly
if ( !defined('HCS_CALLABLE_FILE') ) {
    header('HTTP/1.0 404 Not Found');
    die('You shall not access this file directly.');
    exit;
}
// </editor-fold>
/* -------------------------------------------------------------------------- */

if ( !isset($HCS_ROOTPATH) ) {
    $HCS_ROOTPATH = '../../';
}
if ( is_file($HCS_ROOTPATH . 'config.php') ) {
    include_once($HCS_ROOTPATH . 'config.php');
} else {


// SQL
    defined('SQL_SERVER_TYPE') or define('SQL_SERVER_TYPE', 'MySQL'); // SQLite, SQLite3, MySQL, MSSQL
    defined('SQL_SERVER_DATABASE') or define('SQL_SERVER_DATABASE', 'hcs');

    defined('SQL_SERVER_HOST') or define('SQL_SERVER_HOST', 'localhost');
    defined('SQL_SERVER_USERNAME') or define('SQL_SERVER_USERNAME', '');
    defined('SQL_SERVER_PASSWORD') or define('SQL_SERVER_PASSWORD', '');

    defined('SQL_SERVER_DATETIME_FORMAT') or define('SQL_SERVER_DATETIME_FORMAT', 'Y-m-d\TH:i:s');

    /* -------------------------------------------------------------------------- */
// LOGGING
    defined('LOGGING_INFO_MESSAGE') or define('LOGGING_INFO_MESSAGE', true);
    defined('LOGGING_WARNING_MESSAGE') or define('LOGGING_WARNING_MESSAGE', true);
    defined('LOGGING_DEBUG_MESSAGE') or define('LOGGING_DEBUG_MESSAGE', true);
    defined('LOGGING_ERROR_MESSAGE') or define('LOGGING_ERROR_MESSAGE', true);


    defined('LOGGING_PRINT_TO_FILE') or define('LOGGING_PRINT_TO_FILE', false);
    defined('LOGGING_ECHO_TO_SCREEN') or define('LOGGING_ECHO_TO_SCREEN', true);
    defined('LOGGING_LOG_TO_GLOBAL') or define('LOGGING_LOG_TO_GLOBAL', true);

    defined('LOGGING_FILE_PATH') or define('LOGGING_FILE_PATH', 'data/log');
    defined('LOGGING_DATE_TIME_STRING') or define('LOGGING_DATE_TIME_STRING', 'Y/m/d H:i:s');

    /* -------------------------------------------------------------------------- */

// XML-RPC
    defined('XMLRPC_TIMEOUT') or define('XMLRPC_TIMEOUT', 30);

// ReGaHSS
    defined('REGAHSS_TIMEOUT') or define('REGAHSS_TIMEOUT', 30);

// PING
    defined('PING_TIMEOUT') or define('PING_TIMEOUT', 1);

// EVENT
    defined('MIN_CLEANUP_INTERVAL') or define('MIN_CLEANUP_INTERVAL', 30);
}
?>