<?php

define('HCS_CALLABLE_FILE', true);
$HCS_ROOTPATH = './';
include_once($HCS_ROOTPATH . 'includes/php/functions.php');
include_once($HCS_ROOTPATH . 'common.php');

if(!isset($_SESSION)){
    @session_start();
}

$standardPageId = -1;

//$mode = ( isset($_GET['mode']) ) ? $_GET['mode'] : 'redirect';
if (!isset($sql)) {
    $sql = @new SQL();
}
$request = $sql->queryRequest("SELECT Id, StartPage FROM " . HCS_TABLE_PREFIX . "Pages WHERE StartPage = 1");

if ((count($request) > 0) && $request[0]['Id']) {
    $standardPageId = $request[0]['Id'];
}

$mode = '';
checkedSet($mode, $_GET['mode']);

switch ($mode) {
    case 'redirect':
        redirect('login.php');
        break;

    default:
        if ($standardPageId <= 0) {
            $s = sprintf($_LANGUAGE['L_NO_START_PAGE_ID'], '<a href="' . insertSessionId($HCS_ROOTPATH . 'admin/settings.php?tab=1') . '">', '</a>');
            $TEMPLATE->displayDieMessage($_LANGUAGE['L_ERROR'], $s);

        }
        redirect("page.php?id=" . $standardPageId);
        break;
}

$TEMPLATE->displayDieMessage('index.php', 'You shouldn\'t be here');

// EOF
?>