<?php

// <editor-fold defaultstate="collapsed" desc="CALLABLE PROTECTION">
// Make file not callable directly
if ( !defined('HCS_CALLABLE_FILE') ) {
    header('HTTP/1.0 404 Not Found');
    die('Do not access this file directly.');
    exit;
}
// </editor-fold>
/* -------------------------------------------------------------------------- */

$_LANGUAGE = array(
    'install_header' => 'Event-Server Installation',
    'install_header_error' => 'Event-Server Installationsfehler',
// -------------------------------------------------------------------------
// Preparation
// -------------------------------------------------------------------------
    'installation_message' => 'Meldung',
    'installation_messages' => 'Meldungen',
    'error' => 'Fehler',
    'errors' => 'Fehler',
    'lerror' => 'FEHLER',
    'notice' => 'MITTEILUNG',
    'install_error' => 'Installationsfehler',
    'inst_step' => 'Schritt',
    'inst_button_back' => 'Zurück',
    'error_nostructure' => 'Konnte die SQL Struktur/Daten nicht finden',
    'error_template' => "Konnte '%s' includes/class_template.php nicht finden.",
// -------------------------------------------------------------------------
//	Stepnames
// -------------------------------------------------------------------------
    'L_STEPNAME_1' => 'Informationen',
    'L_STEPNAME_2' => 'Datenbank',
    'L_STEPNAME_3' => 'DB prüfen',
    'L_STEPNAME_4' => 'Server/CCU Daten',
    'L_STEPNAME_5' => 'Installation',
    'L_STEPNAME_6' => 'Zugang',
    'L_STEPNAME_7' => 'Fertigstellen',
// -------------------------------------------------------------------------
//	Step 1
// -------------------------------------------------------------------------
    'language_selector' => 'Bitte wähle die gewünschte Sprache',
    'install_language' => 'Sprache der Installation',
    'install_style' => 'Style der Installation',
    'style_selector' => 'Bitte wähle den gewünschten Style',
    'already_installed' => 'HCS ist bereits installiert - entferne den <b>install/</b> Ordner in diesem Verzeichnis.',
    'conf_not_write' => 'Die Datei <b>config.php</b> wurde nicht gefunden und konnte nicht im HCS\'s root Ordner erstellt werden.<br />
                Erstelle händisch eine config.php im HCS Root Ordner.',
    'conf_written' => 'Die Datei <b>config.php</b> wurde erstellt. Die Datei nicht löschen!',
    'conf_chmod' => 'Die Datei <b>config.php</b> ist nicht beschreibbar.
                <br />Bitte die Berechtigung richtig setzen. <b>chmod 0666 config.php</b>.',
    'conf_writable' => '<b>config.php</b> muss beschreibbar sein, damit das Setup automatisch ablaufen kann.',
    'templcache_created' => "Das Verzeichnis '%1\$s' wurde erstellt. Ein Löschen dieses Verzeichnisses wird das Betreiben von HCS unmöglich machen.",
    'templcache_notcreated' => "Das Verzeichnis '%1\$s' konnte nicht erstellt werden, bitte erstelle das Verzeichnis manuell.
                <br />Du kannst dies auf Rootservern recht einfach, indem du in der Konsole folgendes eingibst: <b>mkdir -p %1\$s</b>",
    'templcache_notwritable' => "Das Verzeichnis '%1\$s' existiert, aber ist weder schreibbar noch konnte es automatisch schreibbar gemacht werden.
                <br />Bitte ändere die Ordnerrechte manuell zu 0777, bei einem Rootserver hilft: <b>chmod 0777 \"%1\$s\"</b>.",
    'templatecache_ok' => "Der Ordner '%1\$s' wurde auf chmod 777 gesetzt, um der HCS zu erlauben, Daten in diese Ordner zu schreiben.",
    'cachefolder_out' => "Das Verzeichnis '%1\$s' wurde %2\$s und ist %3\$s",
    'connection_failed' => 'Die Verbindung zu HCS.xenorate.com ist fehlgeschlagen.',
    'curl_notavailable' => 'cURL ist nicht verfügbar. Itemstats könnte Probleme beim Abrufen der Gegenstände haben.',
    'fopen_notavailable' => 'fopen ist nicht verfügbar. Itemstats könnte Probleme beim Abrufen der Gegenstände haben.',
    'safemode_on' => 'PHP Safe Mode ist eingeschaltet. HCS wird im Safe Mode nicht richtig funktionieren, da die Cache-Schreibotionen nicht in vollem Umfang zur Verfügung stehen.',
    'minimal_requ_notfilled' => 'Entschuldigung, der Server entspricht nicht den Mindestanforderungen für HCS',
    'minimal_requ_filled' => 'HCS hat den Server untersucht und festgestellt, dass er die Mindestanforderungen zur Installation und zum Betrieb von HCS erfüllt.',
    'inst_unknown' => 'Unbekannt',
    'hcs_name' => 'Home Control Suite',
    'inst_hcsv' => 'HCS Version',
    'inst_latest' => 'Neueste Stabile Version',
    'inst_php' => 'PHP',
    'inst_view' => 'phpinfo() ansehen',
    'inst_version' => 'Version',
    'inst_required' => 'Benötigt',
    'inst_available' => 'Verfügbar',
    'inst_enabled' => 'Aktiviert',
    'inst_using' => 'Benutzt',
    'inst_yes' => 'Ja',
    'inst_no' => 'Nein',
    'inst_mysqlmodule' => 'MySQL Modul',
    'inst_mssqlmodule' => 'Microsoft SQL Modul',
    'inst_xmlrpcmodule' => 'XML-RPC Modul',
    'inst_zlibmodule' => 'zLib Modul',
    'inst_curlmodule' => 'cURL Modul',
    'inst_fopen' => 'fopen',
    'inst_safemode' => 'Safe Mode',
    'inst_php_modules' => 'PHP Module',
    'inst_Supported' => 'Unterstützt',
    'inst_found' => 'gefunden',
    'inst_writable' => 'schreibbar',
    'inst_notfound' => 'nicht gefunden',
    'inst_unwritable' => 'schreibgeschützt',
    'inst_button1' => 'Installation beginnen',
// ===========================================================
//	Step 2: Database
// ===========================================================
    'inst_database_conf' => 'Datenbank Konfiguration',
    'inst_dbtype' => 'Datenbanktyp',
    'inst_dbhost' => 'Datenbankhost',
    'inst_dbname' => 'Datenbankname',
    'inst_dbuser' => 'Datenbank Benutzername',
    'inst_dbpass' => 'Datenbank Passwort',
    'inst_table_prefix' => 'Präfix für die HCS Tabellen',
    'inst_button2' => 'Datenbank testen',
// ===========================================================
//	Step 3: Database cofirmation
// ===========================================================
    'inst_error_nodbname' => 'Kein Datenbankname angegeben! Bitte gehe zurück und gib einen Tabellennamen an.',
    'inst_error_prefix' => 'Kein Datenbank Prefix angegeben! Bitte gehe zurück und gib ein Prefix an.',
    'inst_error_prefix_inval' => 'Ungültiges Tabellen Prefix.',
    'inst_error_prefix_toolong' => 'Tabellen Präfix ist zu lang! Bitte gib ein kürzeres Prefix ein!',
    'inserror_dbconnect' => 'Verbindung zur Datenbank ist fehlgeschlagen.',
    'insterror_no_mysql' => 'Keine MySQL Datenbank gefunden!',
    'inst_redoit' => 'Installation wiederholen',
    'db_warning' => 'Warnung',
    'db_information' => 'Informationen',
    'inst_sqlheaderbox' => 'SQL Informationen',
    'inst_mysqlinfo' => "MySQL Client <b>und</b> Serverversion 4.0.4 oder höher und InnoDB Tabellenunterstützung werden für den Betrieb von HCS benötigt.<br /><br />
                <b>Auf dem Server läuft:<br />%s<br /><br />
                und Client Version:<br />%s.<br /></b><br>
                MySQL Versionen unterhalb von 4.0.4 werden nicht mehr unterstützt. Versionen unterhalb von 4.0.4<br>
                werden zu Datenverlust führen. Das HCS Support Team wird keine Anfragen bearbeiten, wenn Euer Server diese Anforderung nicht erfüllt.<br><br>",
    'inst_mssqlinfo' => "Microsoft SQL Serverversion 2005 oder höher wird für den Betrieb von HCS benötigt.<br /><br />
                <b>Auf dem Server läuft Version:<br />%s<br /><br />
                Microsoft SQL Versionen unterhalb von 2005 werden nicht mehr unterstützt.<br>
                Das HCS Support Team wird keine Anfragen bearbeiten, wenn Euer Server diese Anforderung nicht erfüllt.<br><br>",
    'inst_button3' => 'Weiter',
    'inst_button_back' => 'Zurück',
    'inst_sql_error' => "Fehler! Beim Ausrühren folgender SQL Anweisung ist ein Fehler aufgetreten: <br><br><ul>%1\$s</ul><br/>",
    'insinfo_dbready' => 'Die Datenbank wurde überprüft. Es wurden keine Fehler oder Konflikte gefunden. Die Installation kann bedenkenlos fortgesetzt werden.',
// Errors
    'INST_ERR' => 'Installationsfehler',
    'INST_ERR_PREFIX' => 'Eine HCS Installation mit diesem Präfix existiert bereits. Beim Fortsetzen der Installation werden alle vorhandenen Tabellen gelöscht, alle Daten gehen dabei unwiderruflich verloren! Benutze den Zurück-Button des Browsers um ein anderes Präfix anzugeben, oder klicke auf "Weiter", um mit der Installation fortzufahren.',
    'INST_ERR_DB_CONNECT' => 'Konnte keine Verbindung mit der Datenbank herstellen, siehe untenstehende Fehlermeldung.',
    'INST_ERR_DB_NO_ERROR' => 'Keine Fehlermeldung angegeben.',
    'INST_ERR_DB_NO_MYSQLI' => 'Die auf dieser Maschine installierte Version von MySQL ist nicht kompatibel mit der ausgewählten “MySQL with MySQLi Extension” Option. Bitte versuche stattdessen “MySQL”.',
    'INST_ERR_DB_NO_NAME' => 'Kein Datenbankname angegeben.',
    'INST_ERR_PREFIX_INVALID' => 'Der angegebene Datenbank-Prefix ist für diesen Datenbanktyp nicht gültig. Bitte versuche einen anderen, entferne alle Zeichen wie Bindestriche, Apostrophe, Slashes oder Backslashes.',
    'INST_ERR_PREFIX_TOO_LONG' => 'Der eingegebene Datenbankprefix ist zu lang. Die maximale Länge beträgt %d Zeichen.',
// ===========================================================
//	Step 4: Server
// ===========================================================
    'L_EVENT_SERVER_HEADER' => 'Event-Server-Skript',
    'L_EVENT_SERVER_EXPLANATION' => 'Tragen Sie den Hostnamen oder die IP-Addresse und Port des Servers ein, auf welchem sich das Event-Server-Skript befindet. Der Pfad muss ebenfalls angegeben werden.<br /><br />Die daraus resultrierende Addresse ( z.B.: "192.168.0.1:80/hcs_server/server.php" ) muss <b>von jeder CCU aus</b> erreichbar sein.<br />Adressen wie "localhost" oder "127.0.0.1" sind also <b>nicht gültig</b>, da die CCU sich somit nur selbst erreichen würde.',
    'L_EVENT_SERVER_IP' => 'Hostname / IP-Addresse',
    'L_EVENT_SERVER_PORT' => 'Port',
    'L_EVENT_SERVER_PATH' => 'Pfad',
    'L_CCU_LIST_HEADER' => 'Homematic CCUs',
    'L_CCU_EXPLANATION' => 'Fügen Sie alle Homematic Zentralen (CCUs), die Sie mit der Home Control Suite bedienen wollen, hinzu.',
    'L_CCU_NAME' => 'CCU Name',
    'L_CCU_VERSION' => 'Version',
    'L_CCU_IP' => 'Hostname / IP',
    'L_CCU_EVENT_ABO' => 'Zustandsupdates erhalten',
    'L_CCU_EVENT_WIRED' => 'HS485',
    'L_CCU_EVENT_RF' => 'Funk',
    'L_CCU_EVENT_SYSTEM' => 'System',
    'L_CCU_ADD' => 'CCU hinzufügen',
    'L_CCU_ADD_WIRED' => 'HS485 abonnieren',
    'L_CCU_ADD_RF' => 'Funk abonnieren',
    'L_CCU_ADD_SYSTEM' => 'System abonnieren',
    'L_CCU_ADD_EMPTY_NAME' => 'Der CCU Name darf nicht leer sein',
    'L_CCU_ADD_EMPTY_IP' => 'Geben Sie einen Hostnamen oder eine IP-Addresse der CCU an',
    'L_CCU_DELETE' => 'Löschen',
    'L_CCU_EDIT' => 'Ändern',
    'L_CCU_ADD_CANCEL' => 'Abbrechen',
    'L_EVENT_SERVER_IP_WARNING' => 'Die IP-Addresse des Event-Servers kann nicht "127.0.0.1" sein.',
    'L_EVENT_SERVER_ADDRESS_WARNING' => 'Der Hostname des Event-Servers kann nicht "localhost". sein',
    'L_CCU_WARNING' => 'Es muss mindestens eine CCU eingetragen sein.',
    'L_WATING_TIME_INFO' => 'Es werden nun alle Einstellungen gespeichert, und versucht alle vorhandenen Informationen von den CCUs auszulesen. Dies kann bis zu mehreren Minuten dauern.',
    'L_BUTTON_STEP_4' => 'Datenbank installieren',
// ===========================================================
//	Step 5: Installation
// ===========================================================
    'L_CONFIG_NOT_CREATED' => 'Die Datei <b>config.php</b> konnte nicht beschrieben werden.  Speichere eine leere Textdatei, benenne sie um in "config.php" und füge folgenden Inhalt ein:',
    'L_CONFIG_CREATED' => 'Einstellungen wurden in die Konfiguarationsdatei config.php geschrieben.',
    'L_ADDED_CCU' => 'CCU "%s" mit der Adresse "%s" hinzugefügt.',
    'L_ADDED_RULES' => 'Standard Aufzeichnungsregeln für CCUs hinzugefügt.',
    'L_RF_SUBSCRIBED' => 'CCU "%s" für Funk-Zustandsupdates angemeldet',
    'L_WIRED_SUBSCRIBED' => 'CCU "%s" für Wired-Zustandsupdates angemeldet',
    'L_SYSTEM_SUBSCRIBED' => 'CCU "%s" für System-Zustandsupdates angemeldet',
    'L_RECIEVED_CCU_INFOS' => 'Geräte, Systemvariablen, Räume und Gewerke aus der CCU "%s" ausgelesen.',
    'L_BUTTON_STEP_5' => 'Weiter',
// ===========================================================
//	Step 6: Accounts
// ===========================================================
    'L_ADMINACCOUNT_TITLE' => 'Administrator Account Erstellung',
    'L_ADMINACCOUNT_TEXT' => 'Der Administrator Account kann Einstellungen für die CCUs und Datenbank vornehmen. Weiter Accounts können nur mit dem Administrator Account erstellt und verändert werden.',
    'L_ADMINACCOUNT_USERNAME' => 'Administrator Benutzername',
    'L_ADMINACCOUNT_PASSWORD' => 'Administrator Passwort',
    'L_ADMINACCOUNT_PASSWORD_CONFIRM' => 'Bestätige Administrator Passwort',
    'L_ADMINACCOUNT_EMAIL' => 'Administrator E-Mail-Adresse',
    'L_ACCOUNT_PASSWORD_NO_MATCH' => 'Die eingegebenen Passwörter stimmen nicht überein',
    'L_ACCOUNT_EMAIL_ERROR' => 'Die E-Mail Addresse muss in der Form \'user@domain.endung\' sein.',
    'L_BUTTON_STEP_6' => 'Account anlegen',
// ===========================================================
//	Step 5: Finish
// ===========================================================
    'L_LOGIN' => 'Anmelden',
    'L_USERNAME' => 'Benutzername',
    'L_PASSWORD' => 'Passwort',
    'L_REMEMBER_PASSWORD' => 'Anmeldung speichern',
    'L_LOGIN_BUTTON' => 'Anmelden',
    'L_ADMIN_USER_CREATED' => 'Das Administratorenkonto wurde erfolgreich angelegt. Als letzten Schritt bitte einloggen, um HCS weiter einzurichten.',
);

// EOF
?>