<?php

define('HCS_CALLABLE_FILE', true);
$HCS_ROOTPATH = './';
include_once($HCS_ROOTPATH . 'common.php');
global $TEMPLATE, $_LANGUAGE;
$logout = '';
$redirect = '';

checkedSet($logout, $_POST['logout']);
checkedSet($logout, $_GET['logout']);

checkedSet($redirect, $_POST['redirect']);
checkedSet($redirect, $_GET['redirect']);
checkedSet($redirect, $_GET['re']);

if ( $logout != '' ) {
    clearLoginCookies();
    clearSession();
    if ( $redirect != '' ) {
        
        header('Location: ' . removeUriKey($redirect, session_name()));
    } else {
        header('Location: ' . $_SERVER['PHP_SELF']);
    }
}

$username = '';
$password = '';
$rememberLogin = '';

checkedSet($username, $_POST['username']);
checkedSet($username, $_GET['username']);
checkedSet($username, $_GET['user']);
checkedSet($username, $_GET['u']);

checkedSet($password, $_POST['password']);
checkedSet($password, $_GET['password']);
checkedSet($password, $_GET['pw']);
checkedSet($password, $_GET['p']);

checkedSet($rememberLogin, $_POST['rememberLogin']);
checkedSet($rememberLogin, $_GET['rememberLogin']);
checkedSet($rememberLogin, $_GET['remember']);
checkedSet($rememberLogin, $_GET['r']);

if ( $rememberLogin == 'on' ) {
    $rememberLogin = true;
} else {
    $rememberLogin = false;
}

$sql = @new SQL();

$loggedInUser = false;
$autoLoggedIn = false;

$username = htmlspecialchars($username);
$password = htmlspecialchars($password);

// check for logins
if ( ($username != '') && ($password != '') ) {
    // login data passed
    if ( $sql->checkLoginData($username, $password) ) {
        $loggedInUser = $username;
        // create and fill session
        $sql->createSession($loggedInUser);
        if ( $rememberLogin === true ) {
            $sql->createLoginCookies($loggedInUser);
            $_SESSION['autoLogin'] = true;
            $TEMPLATE->appendMessage($TEMPLATE->StatusIcon('info') . $_LANGUAGE['L_NEW_COOKIE']);
        } else {
            clearLoginCookies();
            $TEMPLATE->appendMessage($TEMPLATE->StatusIcon('info') . $_LANGUAGE['L_NEW_COOKIE_DELETED']);
        }
    } else {
        $TEMPLATE->appendMessage($TEMPLATE->StatusIcon('warning') . $_LANGUAGE['L_LOGIN_FAILED']);
    }
} else {
    // no login data passed
    // check login cookie. session is also create if cookie is valid
    $loggedInUser = $sql->checkLoginCookies();
    $autoLoggedIn = true;
}

if ( ( $loggedInUser != false ) && is_string($loggedInUser) && ($loggedInUser != '') ) {
    // logged in and $loggedInUser is the username
    if ( $redirect != '' ) {
        header('Location: ' . insertSessionId($redirect));
    }
    $TEMPLATE->appendMessage($TEMPLATE->StatusIcon('info') . $_LANGUAGE['L_NEW_SESSION']);

    $TEMPLATE->assignVariables(array(
        'L_LOGGED_IN_TITLE' => sprintf($_LANGUAGE['L_LOGGED_IN_TITLE'], $loggedInUser, ($autoLoggedIn ? $_LANGUAGE['L_REMEMBERED'] : $_LANGUAGE['L_MANUEL_LOGIN'])),
        'L_LOGGED_IN_TEXT' => $_LANGUAGE['L_LOGGED_IN_TEXT'],
        'L_LINKS' => $_LANGUAGE['L_LINKS'],
            )
    );
    $links = array(
        $_LANGUAGE['L_LINK_SETTINGS'] => 'admin/settings.php',
        $_LANGUAGE['L_LINK_INFOS'] => 'info.php',
    );
    foreach ( $links as $linkText => $href ) {
        $TEMPLATE->assignBlockVariables('linkArray', array(
            'HREF' => insertSessionId($href),
            'TEXT' => $linkText,
        ));
    }
}



$TEMPLATE->setFilename('login.html');
$TEMPLATE->assignVariables(array(
    'L_LOGIN' => $_LANGUAGE['L_LOGIN'],
    'L_USERNAME' => $_LANGUAGE['L_USERNAME'],
    'L_PASSWORD' => $_LANGUAGE['L_PASSWORD'],
    'L_REMEMBER_PASSWORD' => $_LANGUAGE['L_REMEMBER_PASSWORD'],
    'L_LOGIN_BUTTON' => $_LANGUAGE['L_LOGIN_BUTTON'],
        )
);

$TEMPLATE->preparePageHeader();
$TEMPLATE->prepratePageTailAndDisplay();




// EOF
?>