<?php

define('HCS_CALLABLE_FILE', true);
$HCS_ROOTPATH = './';
require_once $HCS_ROOTPATH . 'includes/php/functions.php';

//get page
$page = '';
$ref = array();
if (isset($_SERVER["HTTP_REFERER"])) {
    parse_str(parse_url($_SERVER["HTTP_REFERER"], PHP_URL_QUERY), $ref);
}

checkedSet($page, $ref["page"]);
checkedSet($page, $_POST['page']);

$id = '';
$force = '';

checkedSet($id, $_POST['id']);
checkedSet($force, $_POST['f']);

checkedSet($id, $_GET['id']);
checkedSet($force, $_GET['f']);
checkedSet($page, $_GET['page']);
if (($id != '')) {
    $sql = new SQL();

    $current_time = date(SQL_SERVER_DATETIME_FORMAT);
    $sql->query("DELETE FROM " . HCS_TABLE_PREFIX . "ClientPages WHERE LastUpdate <= '" . date(SQL_SERVER_DATETIME_FORMAT, time() - 1800) . "';");

    if ($force != '') {
        $lastUpdate = '0';
    } else {
        $result = $sql->queryRequest("SELECT LastUpdate FROM " . HCS_TABLE_PREFIX . "ClientPages WHERE Id = '" . $id . "';");
        $lastUpdate = '';
        if (count($result) > 0) {
            $lastUpdate = $result[0]["LastUpdate"];
        } else {
            $lastUpdate = '0';
        }
    }

    $result = $sql->queryRequest("SELECT CcuId AS ccu, ChannelAddress AS adr, DataPoint AS dp, Value AS val FROM " . HCS_TABLE_PREFIX . "CurrentStates WHERE LastUpdate >= '" . $lastUpdate . "';");
    if (count($result) <= 0) {
        $timeResult = $sql->queryRequest("SELECT RefreshWaitTime FROM " . HCS_TABLE_PREFIX . "Pages WHERE Id = '" . $page . "';");
        $time = time();
        $waitTime = isset($timeResult[0]) ? (isset($timeResult[0]["RefreshWaitTime"]) ? $timeResult[0]["RefreshWaitTime"] : 0) : 0;

        if ($waitTime > 0) {
            while (count($result) <= 0) {
                time_nanosleep(0, 100000000);
                $result = $sql->queryRequest("SELECT CcuId AS ccu, ChannelAddress AS adr, DataPoint AS dp, Value AS val FROM " . HCS_TABLE_PREFIX . "CurrentStates WHERE LastUpdate >= '" . $lastUpdate . "';");
                if ((time() - $time) > $waitTime) {
                    break;
                }
            }
        }
    }
    $sql->insertOrUpdateInTo(HCS_TABLE_PREFIX . 'ClientPages', array(
            'Id' => $id,
            'LastUpdate' => $current_time,
        ), array('Id'));
    die(json_encode(array("RETURN" => $result)));

} else {
    die(json_encode(array("ERROR" => 'wrong parameters')));
}

?>