function HCS_Controls_Control_ExecuteProgram_jQueryButton(containerElement, eventHandler, globals, config) {
    this.config = config;
    this.container = containerElement;
    this.globals = globals;

    var _this = this;

    $(containerElement).empty();

    $(containerElement).append('<button title="' + config.title + '" style="' + config.style + '">' + config.text + '</button>');
    this.button = $(containerElement).find("button");
    $(this.button).button().click(function(){
        if (_this.globals['RIGHTS'] >= 2){
            eventHandler.executeProgram(config.ccu, config.program);
        }
    });

    if (config.icon && config.icon != "") {
        $(this.button).button("option", "icons", {primary: config.icon});
        if (config.text == "") {
            $(this.button).button("option", "text", false);
        }
    }
    $(this.button).unbind('focus');
    if (this.globals['RIGHTS'] < 2){
        $(this.button).unbind('mouseenter');
        $(this.button).unbind('mousedown');
    }
}

HCS_Controls_Control_ExecuteProgram_jQueryButton.prototype = new Widget;
HCS_Controls_Control_ExecuteProgram_jQueryButton.prototype.constructor = HCS_Controls_Control_ExecuteProgram_jQueryButton;