function HCS_Controls_Control_Set_jQueryButton(containerElement, eventHandler, globals, config) {
    this.config = config;
    this.container = containerElement;
    this.globals = globals;

    var _this = this;

    $(containerElement).empty();

    $(containerElement).append('<button title="' + config.title + '" style="' + config.style + '">' + config.text + '</button>');
    var buttonEle = $(containerElement).find("button");
    buttonEle.button().click(function(){
        if (_this.globals['RIGHTS'] >= 2){
            eventHandler.setValueSn(config.ccu, config.adr, config.dp, config.val);
        } else {
            eventHandler.getValueSn(config.ccu, config.adr, config.dp);
        }
    });

    if (config.icon && config.icon != "") {
        $(buttonEle).button("option", "icons", {primary: config.icon});
        if (config.text == "") {
            $(buttonEle).button("option", "text", false);
        }
    }
    $(buttonEle).unbind('focus');
    if (this.globals['RIGHTS'] < 2){
        $(buttonEle).unbind('mouseenter');
        $(buttonEle).unbind('mousedown');
    }

}

HCS_Controls_Control_Set_jQueryButton.prototype = new Widget;
HCS_Controls_Control_Set_jQueryButton.prototype.constructor = HCS_Controls_Control_Set_jQueryButton;