function HCS_Controls_Status_Text(containerElement, eventHandler, globals, config, selfPath) {
    this.config = config;
    this.container = containerElement;
    this.config.position = parseInt(this.config.position);
    var _this = this;

    if ((this.config.position < 1) || (this.config.position > 9)) {
        this.config.position = 1;
    }

    if (this.config.NoPointerEvent){
        $(this.container).css({'pointer-events': 'none'});
    }
    $(this.container).empty();
    this.span = $('<span style="' + this.config.style + '" />').click(function () {
        eventHandler.getValueSn(_this.config.ccu, _this.config.adr, _this.config.dp, function (param) {
            _this.updateValue({"1": param});
        });
    }).css({
        'color': this.config.color,
        'font-size': this.config.fontSize,
        'font-family': this.config.fontFamily,
        'font-weight': this.config.fontWeight,
        'position': 'absolute',
        'line-height': this.config.fontSize
    }).append(this.config.text);
    $(this.container).empty().append(this.span);

    if ((this.config.position <= 6)) {
        $(this.span).css({'left': '0'});
    }
    if ((this.config.position >= 4)) {
        $(this.span).css({'right': '0'});
    }
    if ((this.config.position == 4) || (this.config.position == 5) || (this.config.position == 6)) {
        $(this.span).css({'text-align': 'center'});
    }
    if ((this.config.position == 2) || (this.config.position == 5) || (this.config.position == 8)) {
        $(this.span).css({
            'top': '50%',
            'margin-top': '-' + parseInt($(this.span).height() / 2) + 'px'
        });
    }
    if ((this.config.position == 3) || (this.config.position == 6) || (this.config.position == 9)) {
        $(this.span).css({'bottom': '0'});
    }

    eventHandler.register(function (param) {_this.updateValue(param)}, {"1": {"ccu": config["ccu"], "adr": config["adr"], "dp": config["dp"]}});
}

HCS_Controls_Status_Text.prototype = new Widget;
HCS_Controls_Status_Text.prototype.constructor = HCS_Controls_Status_Text;

HCS_Controls_Status_Text.prototype.updateValue = function(transport) {
   // $(this.container).empty();
    var value = this.config.value.replace(/%VALUE%/g, transport["1"]);

    if (isNumber(transport["1"])){
        value = eval(value).toString();
    }

    var replaceValueArray = hcs_parseJSON(this.config.replace);
    var newValue = '';
    var key = '';

    for (var replaceValue in replaceValueArray){
        key = replaceValue;

        if (replaceValue == value){
            // perfect match
            newValue = replaceValueArray[key];
            break;
        } else {
            // check if there is an matching interval
            var split = key.split(",");
            if ( (split.length == 2) && (betweenNumbers(value, parseFloat(split[0]), parseFloat(split[1]) )) ){
                newValue = replaceValueArray[key];
            }
        }
    }
    if (newValue == ''){
        // no match
        newValue = this.config.text.replace(/%VALUE%/g, value);
    } else {
        newValue = newValue.replace(/%VALUE%/g, value);
    }

    $(this.span).empty().append(newValue);
};