function HCS_Controls_Text(containerElement, eventHandler, globals, config, selfPath) {
    this.config = config;
    this.container = containerElement;
    this.config.position = parseInt(this.config.position);

    if ((this.config.position < 1) || (this.config.position > 9)) {
        this.config.position = 1;
    }

    $(this.container).css({'pointer-events': 'none'}).empty();
    this.span = $('<span style="pointer-events:none;' + this.config.style + '" />').css({
        'color': this.config.color,
        'font-size': this.config.fontSize,
        'font-family': this.config.fontFamily,
        'font-weight': this.config.fontWeight,
        'position': 'absolute',
        'line-height': this.config.fontSize
    }).append(this.config.text);
    $(this.container).append(this.span);

    if ((this.config.position <= 6)) {
        $(this.span).css({'left': '0'});
    }
    if ((this.config.position >= 4)) {
        $(this.span).css({'right': '0'});
    }
    if ((this.config.position == 4) || (this.config.position == 5) || (this.config.position == 6)) {
        $(this.span).css({'text-align': 'center'});
    }
    if ((this.config.position == 2) || (this.config.position == 5) || (this.config.position == 8)) {
        $(this.span).css({
            'top': '50%',
            'margin-top': '-' + parseInt($(this.span).height() / 2) + 'px'
        });
    }
    if ((this.config.position == 3) || (this.config.position == 6) || (this.config.position == 9)) {
        $(this.span).css({'bottom': '0'});
    }
}

HCS_Controls_Text.prototype = new Widget;
HCS_Controls_Text.prototype.constructor = HCS_Controls_Text;
