function HCS_Pic_PageLink(containerElement, eventHandler, globals, config, selfPath) {
    var _this = this;
    this.config = config;
    this.container = containerElement;
    this.eventHandler = eventHandler;
    this.globals = globals;
    if((typeof this.config.file === "undefined") || (this.config.file == '')){
        this.file = selfPath + 'images/button_missing.png';
    } else {
        this.file = selfPath + 'images/button/' + this.config.file;
    }

    var url = 'page.php' + globals["SID_ADD"] + 'id=' + this.config.pageId;

    this.button = $('<div style="border-width: 0px; background: 0px 0px url(\'' + this.file + '\') no-repeat;" />')

    var theImage = new Image();
    theImage.src = this.file;
    this.imageSourceWidth = parseInt(theImage.width);
    this.imageSourceHeight = parseInt(theImage.height);
    this.imageWidth = parseInt(this.imageSourceWidth / 2);
    theImage.onload = function(){
        _this.imageSourceWidth = parseInt(theImage.width);
        _this.imageSourceHeight = parseInt(theImage.height);
        _this.imageWidth = parseInt(_this.imageSourceWidth / 2);
        $(_this.button).css({
            'width': _this.imageWidth+'px',
            'height': _this.imageSourceHeight+'px'
        });
    };

    $(containerElement).empty();
    $(this.button).css({'width': this.imageWidth+'px','height': this.imageSourceHeight+'px'})
        .click(function () {
            if (_this.config.newWindow === true) {
                window.open(url)
            } else {
                window.location = url;
            }
        })
        .mousedown(function () {
            $(this).css('background-position', '-' + _this.imageWidth + 'px, 0px');
        })
        .mouseup(function () {
            $(this).css('background-position', '0px, 0px');
        });
    $(containerElement).append(this.button);
}

HCS_Pic_PageLink.prototype = new Widget;
HCS_Pic_PageLink.prototype.constructor = HCS_Pic_PageLink;