function HCS_Pic_SetButton(containerElement, eventHandler, globals, config, selfPath) {
    var _this = this;
    this.config = config;
    this.container = containerElement;
    this.eventHandler = eventHandler;
    this.globals = globals;
    if((typeof this.config.file === "undefined") || (this.config.file == '')){
        this.file = selfPath + 'images/button_missing.png';
    } else {
        this.file = selfPath + 'images/button/' + this.config.file;
    }

    this.button = $('<div style="border-width: 0px; background: 0px 0px url(\'' + this.file + '\') no-repeat;" />')

    var theImage = new Image();
    theImage.src = this.file;
    this.imageSourceWidth = parseInt(theImage.width);
    this.imageSourceHeight = parseInt(theImage.height);
    this.imageWidth = parseInt(this.imageSourceWidth / 2);
    theImage.onload = function(){
        _this.imageSourceWidth = parseInt(theImage.width);
        _this.imageSourceHeight = parseInt(theImage.height);
        _this.imageWidth = parseInt(_this.imageSourceWidth / 2);
        $(_this.button).css({
            'width': _this.imageWidth+'px',
            'height': _this.imageSourceHeight+'px'
        });
    };

    $(containerElement).empty();
    $(this.button).css({'width': this.imageWidth+'px','height': this.imageSourceHeight+'px'})
        .click(function () {
            if (_this.globals['RIGHTS'] >= 2){
                eventHandler.setValueSn(config.ccu, config.adr, config.dp, config.val);
            } else {
                eventHandler.getValueSn(config.ccu, config.adr, config.dp);
            }
        })
        .mousedown(function () {
            $(this).css('background-position', '-' + _this.imageWidth + 'px, 0px');
        })
        .mouseup(function () {
            $(this).css('background-position', '0px, 0px');
        });
    $(containerElement).append(this.button);

    if (this.globals['RIGHTS'] < 2){
        $(this.button).unbind('mouseenter');
        $(this.button).unbind('mousedown');
    }
}

HCS_Pic_SetButton.prototype = new Widget;
HCS_Pic_SetButton.prototype.constructor = HCS_Pic_SetButton;