<?php

define('HCS_CALLABLE_FILE', true);
$HCS_ROOTPATH = './';
include_once($HCS_ROOTPATH . 'common.php');
global $TEMPLATE, $_LANGUAGE;

$loggedInUser = getLoggedInUser();
$TEMPLATE->setFilename('info.html');

if ( $loggedInUser != false ) {

    $TEMPLATE->assignVariables(array(
        'L_INFO_LOGGED_IN_TITLE' => sprintf($_LANGUAGE['L_INFO_LOGGED_IN_TITLE'], $loggedInUser),
        'SESSION_INFO' => sprintf($_LANGUAGE['L_SESSION_INFO'], nl2br(var_export($_SESSION, true))),
        'SESSION_ID' => 'SID: ' . session_id(),
        'COOKIE_INFO' => sprintf($_LANGUAGE['L_COOKIE_INFO'], nl2br(var_export($_COOKIE, true))),
    ));
} else {
    $s = sprintf($_LANGUAGE['L_INFO_NOT_LOGGEDIN_TEXT'], '<a href="' . insertSessionId($HCS_ROOTPATH . 'login.php?redirect=' . getRequestUri()) . '">', '</a>');
    $TEMPLATE->assignVariables(array(
        'COOKIE_INFO' => sprintf($_LANGUAGE['L_COOKIE_INFO'], nl2br(var_export($_COOKIE, true))),
        'L_INFO_NOT_LOGGEDIN_TITLE' => $_LANGUAGE['L_INFO_NOT_LOGGEDIN_TITLE'],
        'L_INFO_NOT_LOGGEDIN_TEXT' => $s,
    ));
}

$TEMPLATE->preparePageHeader();
$TEMPLATE->prepratePageTailAndDisplay();




// EOF
?>