<?php

// <editor-fold defaultstate="collapsed" desc="CALLABLE PROTECTION">
// Make file not callable directly
if ( !defined('HCS_CALLABLE_FILE') ) {
    header('HTTP/1.0 404 Not Found');
    die('Do not access this file directly.');
    exit;
}
// </editor-fold>
/* -------------------------------------------------------------------------- */

$_LANGUAGE_ADMIN = array(
    '' => '',

    'L_ADMIN_HEADER' => 'Konfiguration',
    'L_NOT_LOGGEDIN_TITLE' => 'Anmeldung benötigt',
    'L_NOT_LOGGEDIN_TEXT' => 'Bitte anmelden um diese Seite aufrufen zu können.<br/>Zur %1$sAnmeldeseite%2$s',
    'L_NO_ADMIN_TITLE' => 'Anmeldefehler',
    'L_NO_ADMIN_TEXT' => 'Administrationsrechte benötigt um diese Seite anzuzeigen',
    'L_ADMIN_TABNAME_0' => 'Konfiguration',
    'L_ADMIN_TABNAME_1' => 'Steuerungsseiten',
    'L_ADMIN_TABNAME_2' => 'aktuelle Zustände',
    'L_ADMIN_TABNAME_3' => 'CCU Daten',
    'L_ADMIN_TABNAME_4' => 'Aufzeichnung',
    'L_ADMIN_TABNAME_5' => 'Aufgaben',
    'L_ADMIN_TABNAME_6' => 'Benutzer',
    'L_ADMIN_TABNAME_7' => 'Widgets',
    'L_ADMIN_TABNAME_8' => 'Einstellungen',
    'L_MISSMATCHING_USERS_TITLE' => 'Schwerer Fehler',
    'L_MISSMATCHING_USERS_TEXT' => 'Es wurde versucht persönliche Änderungen für einen anderen Benutzer vorzunehmen.<br/>Zur %1$sAnmeldeseite%2$s',
// -------------------------------------------------------------------------
//	Konfiguration
// -------------------------------------------------------------------------
    'L_LANGUAGE' => 'Sprache',
    'L_LANGUAGE_SELECT' => 'Bitte wähle die gewünschte Sprache',
    'L_STYLE' => 'Style',
    'L_STYLE_SELECT' => 'Bitte wähle den gewünschten Style',
    'L_CHANGE_PASSWORD_HEADER' => 'Passwort ändern',
    'L_CHANGE_PASSWORD_TEXT' => 'Zum ändern des Passworts muss zuerst das aktuelle Passwort, dann das Neue und dann nocheinmal das neue Passwort zur Bestätigung eingegeben werden. Dann auf den "%1$s" Knopf klicken.<br><br>Nachdem erfolgreichen ändern des Passworts müssen Sie sich neu anmelden.',
    'L_CURRENT_PASSWORD' => 'aktuelles Passwort',
    'L_NEW_PASSWORD' => 'neues Passwort',
    'L_NEW_PASSWORD_CONFIRM' => 'neues Passwort (Bestätigung)',
    'L_PASSWORD_NO_MATCH' => 'Die eingegebenen Passwörter stimmen nicht überein',
    'L_BUTTON_CHANGE_PASSWORD' => 'Passwort ändern',
    'L_CURRENT_PASSWORD_WRONG' => 'Das Passwort konnte nicht geändert werden, da dass eingegebene aktuelle Passwort falsch ist.',
    'L_CHANGE_EMAIL_HEADER' => 'E-Mail Adresse ändern',
    'L_CHANGE_EMAIL_TEXT' => 'Um die aktuelle E-Mail Adresse zu ändern, neue E-Mail Adresse eingeben und auf "%1$s" klicken.',
    'L_EMAIL' => 'E-Mail Adresse',
    'L_EMAIL_ERROR' => 'Die E-Mail Addresse muss in der Form \'user@domain.endung\' sein.',
    'L_BUTTON_CHANGE_EMAIL' => 'E-Mail Addresse ändern',
    'INFO_TITLE' => 'Login-Info',
    'INFO_TEXT' => 'Debug Informationen über die Session ID und die gesetzten Cookies.',
// -------------------------------------------------------------------------
//	aktuelle Zustände
// -------------------------------------------------------------------------
    'L_CURRENTSTATES_HEADER' => 'Aktuelle Zustände',
    'L_CURRENTSTATES_EXPLANATION' => 'Es werden die zuletzt empfangenen Zustände von alle Geräten und allen CCUs angezeigt.<br/><br/>Falls ein Zustand noch nie übermittelt wurde, wird er hier auch nicht angezeigt.<br/>Es werden nur dann Zustände zum Event-Server übermittelt, wenn dieser sich zuvor bei einem der 3 Interfaces auf der jeweiligen CCU angemeldet hat.<br/>Diese Einstellungen können sie im Menü %1$s einstellen.',
    'L_HEADER_CCU_ID' => 'CCU ID',
    'L_HEADER_CHANNEL_ADDRESS' => 'Kanal Adresse',
    'L_HEADER_CHANNEL_NAME' => 'Kanal Name',
    'L_HEADER_DATAPOINT' => 'Datenpunkt',
    'L_HEADER_VALUE' => 'Wert',
    'L_HEADER_LASTUPDATE' => 'Zeit',
    'L_CLEAR_CURRENT_AND_LOGGED_VALUES' => 'Zustände löschen',
    'L_CLEAR_CHECK' => 'Sind Sie sicher, dass sie alle aufgezeichneten und aktuellen Zustände löschen möchten?',
// -------------------------------------------------------------------------
//	Benutzer
// -------------------------------------------------------------------------
    'L_USERS_HEADER' => 'Benutzerverwaltung',
    'L_USERS_EXPLANATION' => 'Sie können Benutzer löschen und hinzufügen.<br/>Die Benutzerspeziefischen Berechtigungen für die einzelnen Seiten lassen sich im Menü %1$s einstellen.',
    'L_HEADER_USERNAME' => 'Benutzername',
    'L_HEADER_ADMINRIGHTS' => 'Admin',
    'L_HEADER_EMAIL' => 'E-Mail Adresse',
    'L_HEADER_STYLE' => 'Style',
    'L_HEADER_LANGUAGE' => 'Sprache',
    'L_HEADER_LASTLOGIN' => 'Letzter Login',
    'L_HEADER_EDIT_RIGHTS' => 'Ändern',
    'L_HEADER_DELETE_USER' => 'Löschen',
    'L_ADD_USER' => 'Benutzer hinzufügen',
    'L_EDIT_USER' => 'Benutzer bearbeiten',
    'L_DELETE_USER' => 'Benutzer löschen',
    'L_DELETE_USER_CONFIRM_TEXT' => 'Sind Sie sicher, dass Sie den Benutzer <b>%1$s</b> wirklich löschen möchten?',
    'L_DELETE_USER_SELF_ERROR' => 'Sie dürfen sich nicht selbst löschen.',
    'L_PASSWORD' => 'Passwort',
    'L_PASSWORD_CONFIRM' => 'Bestätige Passwort',
    'L_USER_PASSWORD_NO_MATCH' => 'Die eingegebenen Passwörter stimmen nicht überein',
    'L_USER_EMAIL_ERROR' => 'Die E-Mail Addresse muss in der Form \'user@domain.endung\' sein.',
    'L_ADMIN_RIGHTS' => 'Admin-Rechte',
// -------------------------------------------------------------------------
//	CCUs
// -------------------------------------------------------------------------
    'L_CCU_HEADER' => 'CCU-Verwaltung',
    'L_CCU_EXPLANATION' => 'Es können beliebig viele Homematic CCU\'s hinzugefügt werden. In den weiteren Einstellungen wird diese jeweilige CCU dann immer über ihre ID referenziert.<br/>Nachdem eine CCU hinzugefügt wurde ist es wichtig, dass alle Listen dieser CCU erneuert werden.<br/>Es können keine Status-Informationen für Geräte empfangen/gesendet werden die nicht in der Geräte-Liste der jeweiligen CCU eingetragen sind! Es empfiehlt sich also die Listen regelmäßig, oder nach Änderungen an der CCU, zu aktualisieren.<br/>Sie können Listen-Updates und Abonnements auch durch %1$s ausführen.<br/>Für nicht abonnierte Schnittstellen erhalten Sie keine automatischen Mitteilungen über Statusänderungen. Es können aber auch nicht abonnierte Geräte gesteuert und deren Status direkt abgefragt werden.<br/><br/>Das Neustarten einer Homematic CCU führt dazu, dass selbig "vergisst" das sie abonniert wurde. Das Abonnement muss also erneuert werden. Dies können Sie entweder manuell, regelmäßig über eine Aufgabe (siehe Menüpunkt %1$s) oder durch ein %2$s auf der CCU selbst lösen.<br/><br/><b>Beim Löschen einer CCU werden alle damit verbundenen Daten gelöscht!</b>',
    'L_CCU_ABO_SCRIPT' => 'Script',
    'L_CCU_ABO_SCRIPT_TITLE' => 'Abonnement Script für Homematic CCU',
    'L_CCU_ABO_SCRIPT_TEXT1' => '<b>Vorsicht! Das Nutzen des Scripts (speziell system.Exec) wird von eQ-3 nicht empfohlen und kann zu Problemen mit der CCU führen.</b><br/>CUxD Bietet hier Alternativen.<br/><br/>Bitte erstellen sie auf der CCU ein Programm.<br/>Sie können die Bedingung einfach leer lassen, was <b>bisher</b> dazu führt, dass diese Programm genau 1x beim Start der CCU ausgeführt wird. Oder sie tragen ein Zeitsteuerung mit regelmäßigem Abstand ein.<br/>Als Aktivität wählen Sie "Skript" und "sofort" aus, und kopieren folgenden Text in das obere Textfeld welches sich öffnet wenn Sie auf "Skript erstellen" klicken.',
    'L_CCU_ABO_SCRIPT_TEXT2' => 'Danach müssen Sie mit "OK" bestätigen und das Programm speichern.',
    'L_HEADER_CCU_INIT' => 'Abo erneuern',
    'L_HEADER_CCU_LAST_UPDATE' => 'Letztes Update',
    'L_HEADER_CCU_ID' => 'ID',
    'L_HEADER_CCU_NAME' => 'CCU Name',
    'L_HEADER_CCU_ADDRESS' => 'Adresse',
    'L_HEADER_CCU_VERSION' => 'Version',
    'L_HEADER_CCU_WIRED' => 'HS485',
    'L_HEADER_CCU_RF' => 'Funk',
    'L_HEADER_CCU_SYSTEM' => 'System',
    'L_HEADER_EDIT_CCU' => 'Ändern',
    'L_HEADER_DELETE_CCU' => 'Löschen',
    'L_TITLE_ADD_CCU' => 'CCU hinzufügen',
    'L_TITLE_EDIT_CCU' => 'CCU bearbeiten',
    'L_ADD_CCU' => 'CCU hinzufügen',
    'L_EDIT_CCU' => 'CCU bearbeiten',
    'L_DELETE_CCU' => 'CCU löschen',
    'L_INIT_CCU' => 'CCU Interfaces abonnieren',
    'L_INIT_ALL_CCUS' => 'Alle CCU-Abonnements erneuern',
    'L_CCU_NAME' => 'CCU Name',
    'L_CCU_VERSION' => 'CCU Version',
    'L_CCU_IP' => 'Hostname / IP',
    'L_CCU_ADD_WIRED' => 'HS485 abonnieren',
    'L_CCU_ADD_RF' => 'Funk abonnieren',
    'L_CCU_ADD_SYSTEM' => 'System abonnieren',
    'L_CCU_ADD_EMPTY_NAME' => 'Der CCU Name darf nicht leer sein',
    'L_CCU_ADD_EMPTY_IP' => 'Geben Sie einen Hostnamen oder eine IP-Addresse der CCU an',
    'L_DELETE_CCU_CONFIRM_TEXT' => 'Sind Sie sicher, dass Sie die CCU <b>%1$s</b> mit der ID: %2$s wirklich löschen möchten?',
    'L_HEADER_CCU_LISTS' => 'Listen',
    'L_CCU_LISTS' => 'Listen (Geräte, Systemvariablen, Porgramme, Räume & Gewerke)',
    'L_CCU_HEADER_LISTS' => 'Homematic CCU ReGa Listen',
    'L_CCU_LISTS_DEVICES' => 'Geräte',
    'L_CCU_LISTS_DEVICES_HEADER_DEVICE' => 'Gerät',
    'L_CCU_LISTS_DEVICES_HEADER_DEVICETYP' => 'Gerätetyp',
    'L_CCU_LISTS_DEVICES_HEADER_CHANNEL' => 'Kanal',
    'L_CCU_LISTS_SYSVARS' => 'Systemvariablen',
    'L_CCU_LISTS_SYSVARS_HEADER_ID' => 'ID',
    'L_CCU_LISTS_SYSVARS_HEADER_NAME' => 'Name',
    'L_CCU_LISTS_SYSVARS_HEADER_TYP' => 'Typ',
    'L_CCU_LISTS_ROOMS' => 'Räume',
    'L_CCU_LISTS_CRAFTS' => 'Gewerke',
    'L_CCU_LISTS_PROGRAMS' => 'Programme',
    'L_CCU_LISTS_UPDATE_ALL' => 'Alle Listen neu abfragen',
    'L_CCU_LISTS_UPDATE_DEVICES' => 'Geräte Liste neu abfragen',
    'L_CCU_LISTS_UPDATE_SYSVARS' => 'Systemvariablen Liste neu abfragen',
    'L_CCU_LISTS_UPDATE_ROOMS' => 'Räume Liste neu abfragen',
    'L_CCU_LISTS_UPDATE_CRAFTS' => 'Gewerke Liste neu abfragen',
    'L_CCU_LISTS_UPDATE_PROGRAMS' => 'Programme Liste neu abfragen',
// -------------------------------------------------------------------------
//	Logging Rules
// -------------------------------------------------------------------------
    'L_LOGGING_RULES_HEADER' => 'Aufzeichnungsregeln',
    'L_LOGGING_RULES_EXPLANATION' => 'Sie können über die Aufzeichnungsregeln festlegen welche Event, für wie lange in der Datenbank gespeichert werden.<br/><br/>Für die Werte <b>CCU-ID, Geräte, Datenpunkte</b> und <b>Werte</b> lassen sich genaue Werte (x), Alle Werte (*) oder mehrere Werte (x|y|z) auswählen.<br/>Der <b>Intervall</b> bestimmt die mindestens verstrichene Zeit in Sekunden zwischen zwei aufgezeichneten Ereignisse.<br/>Die <b>Zeitspanne</b> bestimmt wie lange in Sekunden diese Einträge gespeichert bleiben sollen, bis sie gelöscht werden. Eine Zeitspanne von 0 bedeutet dass dieses Ereignis <b>nie</b> aufgezeichnet wird.<br/>Falls <b>Nur Änderungen</b> aufzeichnen ausgewählt wurde, wird nur dann ein neuer Eintrag in die Datenbank beschrieben wenn sich der Wert seit dem letzten aufgezeichneten Wert geändert hat.<br/><br/>Falls ein Ereignis mehrere Regeln erfüllt wird selbige mit der <b>höchsten</b> Priorität gewählt.',
    'L_DELETE_LOGGING_RULE_CONFIRM_TEXT' => 'Sind Sie sicher, dass Sie die Aufzeichnungsregel mit der ID: %1$s wirklich löschen möchten?',
    'L_DELETE_LOGGING_RULE' => 'Regel löschen',
    'L_EDIT_LOGGING_RULE' => ' Regel bearbeiten',
    'L_LOGGING_RULE_PRIORITY_DOWN' => ' Regel-Priorität verringern',
    'L_LOGGING_RULE_PRIORITY_UP' => ' Regel-Priorität erhöhen',
    'L_ADD_LOGGING_RULE' => 'Regel hinzufügen',
    'L_TITLE_EDIT_LOGGING_RULE' => 'Aufzeichnungsregel bearbeiten',
    'L_TITLE_ADD_LOGGING_RULE' => 'Aufzeichnungsregel  hinzufügen',
    'L_HEADER_LOGGING_RULES_ID' => 'ID',
    'L_HEADER_LOGGING_RULES_PRIORITY' => 'Priorität',
    'L_HEADER_LOGGING_RULES_EDIT' => 'Ändern',
    'L_HEADER_LOGGING_RULES_CCUID' => 'CCU-ID',
    'L_HEADER_LOGGING_RULES_DEVICES' => 'Geräte-Adresse',
    'L_HEADER_LOGGING_RULES_DATAPOINT' => 'Datenpunkt',
    'L_HEADER_LOGGING_RULES_VALUES' => 'Wert',
    'L_HEADER_LOGGING_RULES_INTERVAL' => 'Intervall',
    'L_HEADER_LOGGING_RULES_LIFESPAN' => 'Zeitspanne',
    'L_HEADER_LOGGING_RULES_ONLYCHANGES' => 'Nur Änderungen',
    'L_HEADER_LOGGING_RULES_DELETE' => 'Löschen',
    'L_LOGGING_RULE_CCUID' => 'CCU-IDs',
    'L_LOGGING_RULE_DEVICE' => 'Geräteadressen',
    'L_LOGGING_RULE_DATAPOINT' => 'Datenpunkte',
    'L_LOGGING_RULE_VALUE' => 'Werte',
    'L_LOGGING_RULE_INTERVAL' => 'mindest Abstand zwischen zwei Aufzeichnungen in Sekunden (s)',
    'L_LOGGING_RULE_LIFESPAN' => 'Zeitspanne bis zum löschen der Aufzeichnung in Sekunden (s)',
    'L_LOGGING_RULE_ONLYCHANGES' => 'Nur Änderungen aufzeichen',
    'L_LOGGING_RULES_TESTER' => 'Regeltester',
    'L_LOGGING_RULES_TESTER_DESCRIPTION' => 'Geben Sie einfach beliebige Werte ein. Es wird die Regel hervorgehoben welche für diese Daten genutzt werden wird.',

// -------------------------------------------------------------------------
//	Tasks
// -------------------------------------------------------------------------
    'L_TASKS_HEADER' => 'Aufgaben',
    'L_TASKS_EXPLANATION' => 'Aufgaben ermöglichen das automatische ausführen von speziellen Aktivitäten<br/>Damit diese Aufgaben ausgeführt werden muss das PHP Skirpt "tasker.php" im root Verzeichnis ausgeführt werden. Es ist also keine Echtzeit-Planung möglich.<br/>Das Skript wird automatisch jedes Mal aufgerufen, wenn ein neues Ereignis von einer CCU gesendet wird.<br/>Also beispielsweise die CCU einen Wert sendet (Temperatur, Licht, Status, etc.) oder ein Wert manuell abgefragt wird.<br/><br/><b>Falls dieser Zeitabstand nicht ausreicht</b> (Temperatursensor sendet alle 3 Minuten) empfiehlt es sich das Skript regelmäßig aufzurufen. Möglich ist dies beispielsweise per CRON-Job oder sogar mit einem %1$s welches auf der Homematic CCU regelmäßig ausgeführt wird.<br/><br/>Ein Intervall von 0 bedeutet eine einmalige Ausführung und bei -1 ist die Aufgabe deaktiviert und nur noch manuell ausführbar.<br/>Wird die "Nächste Ausführung" leer gelassen deaktivert dies die Aufgabe ebenfalls.',
    'L_DELETE_TASK_CONFIRM_TEXT' => 'Sind Sie sicher, dass Sie die Aufgabe mit der ID: %1$s wirklich löschen möchten?',
    'L_DELETE_TASK' => 'Aufgabe löschen',
    'L_EDIT_TASK' => ' Aufgabe bearbeiten',
    'L_EXECUTE_TASK' => 'Aufgabe ausführen',
    'L_ADD_TASK' => 'Aufgabe hinzufügen',
    'L_TITLE_EDIT_TASK' => 'Aufgabe bearbeiten',
    'L_TITLE_ADD_TASK' => 'Aufgabe  hinzufügen',
    'L_HEADER_TASKS_ID' => 'ID',
    'L_HEADER_TASKS_EDIT' => 'Ändern',
    'L_HEADER_TASKS_EXECUTE' => 'Ausführen',
    'L_HEADER_TASKS_CCUID' => 'CCU-ID',
    'L_HEADER_TASKS_NAME' => 'Name',
    'L_HEADER_TASKS_TYPE' => 'Typ',
    'L_HEADER_TASKS_INTERFACE' => 'Interface',
    'L_HEADER_TASKS_DESIGNATOR' => 'Designator',
    'L_HEADER_TASKS_PARAMETER' => 'Parameter',
    'L_HEADER_TASKS_NEXT_EXECUTION' => 'Nächste Ausführung',
    'L_HEADER_TASKS_INTERVAL' => 'Intervall',
    'L_HEADER_TASKS_DELETE' => 'Löschen',
    'L_TASK_CCUID' => 'CCU',
    'L_TASK_NAME' => 'Name',
    'L_TASK_TYPE' => 'Typ',
    'L_TASK_INTERFACE' => 'Interface',
    'L_TASK_DESIGNATOR' => 'Designator',
    'L_TASK_PARAMETER' => 'Parameter',
    'L_TASK_NEXT_EXECUTION' => 'nächste Ausführung',
    'L_TASK_INTERVAL' => 'Intervall zwischen zwei Ausführungen in Sekunden (s)',
    'L_EXECUTE_TASKER' => 'Alle Aufgaben ausführen',
    'L_TASKNAME_UPDATE_SUBSCRIPTION' => 'Abonnements erneuern',
    'L_TASKNAME_UPDATE_ALL_SUBSCRIPTIONS' => 'Abonnements für alle CCUs erneuern',
    'L_TASKNAME_INIT' => 'Schnittstelle abonnieren',
    'L_TASKNAME_DEINIT' => 'Schnittstelle deabonnieren',
    'L_TASKNAME_GET_VAULE_BY_NAME' => 'Wert auslesen (Name)',
    'L_TASKNAME_GET_VAULE_BY_SN' => 'Wert auslesen (SN)',
    'L_TASKNAME_SET_VAULE_BY_NAME' => 'Wert setzen (Name)',
    'L_TASKNAME_SET_VAULE_BY_SN' => 'Wert setzen (SN)',
    'L_TASKNAME_LOG_ALL_SYSVAR' => 'Alle Systemvariablen loggen',
    'L_TASKNAME_LOG_SYSVAR' => 'Systemvariable loggen',
    'L_TASKNAME_GET_SYSVAR' => 'Systemvariable auslesen',
    'L_TASKNAME_SET_SYSVAR' => 'Systemvariable setzen',
    'L_TASKNAME_EXEC_PROGRAM' => 'Programm ausführen',
    'L_TASKNAME_UPDATE_LISTS_ROOMS' => 'Liste der Räume aktualisieren',
    'L_TASKNAME_UPDATE_LIST_CRAFTS' => 'Liste der Gewerke aktualisieren',
    'L_TASKNAME_UPDATE_LIST_PROGRAMS' => 'Liste der Programme aktualisieren',
    'L_TASKNAME_UPDATE_LIST_DEVICES' => 'Liste der Geräte aktualisieren',
    'L_TASKNAME_UPDATE_LIST_SYSVAR' => 'Liste der Systemvariablen aktualisieren',
    'L_TASKNAME_UPDATE_ALL_LISTS' => 'Alle Listen aktualisieren',
    'L_CCU_TASKER_SCRIPT_TITLE' => 'tasker.php Aufrufprogramm für die Homematic CCU',
    'L_CCU_TASKER_SCRIPT_TEXT1' => '<b>Vorsicht! Das Nutzen des Scripts (speziell system.Exec) wird von eQ-3 nicht empfohlen und kann zu Problemen mit der CCU führen.</b><br/>CUxD Bietet hier Alternativen.<br/><br/>Bitte erstellen Sie auf der CCU ein Programm.<br/>Als Bedingung wählen Sie Zeitsteuerung und stellen dann das Zeitmodul wie folgt ein: Zeit kann als Intervall gewählt werden, so dass die Aufgaben nur in selbigen Bereich ausgeführt werden, oder als Zeitpunk (Start Zeitpunkt). Das Gleiche gilt für die Gültigkeitsdauer bzw. das Datum. Im Serienmuster empfiehlt es sich das Zeitintervall aus zu wählen und dann auf bspw. 5 Minuten einzustellen. Es sollte darauf geachtet werden dass das Intervall nicht zu klein ist. Möglich wäre zwar auch jede Sekunde, jedoch belastet das die CCU genauso wie den Server. Danach bestätigen Sie den Dialog mit einem Klick auf "OK"<br/>Als Aktivität wählen Sie "Skript" und "sofort" aus, und kopieren folgenden Text in das obere Textfeld welches sich öffnet wenn Sie auf "Skript erstellen" klicken.',
    'L_CCU_TASKER_SCRIPT_TEXT2' => 'Danach müssen Sie mit "OK" bestätigen und das Programm speichern.',
// -------------------------------------------------------------------------
//	Widgets
// -------------------------------------------------------------------------
    'L_WIDGET_PACKETS_HEADER' => 'Widget Pakete',
    'L_WIDGET_PACKETS_EXPLANATION' => 'Hier sehen sie alle installierten Widget-Pakete.<br/>Sie können ganze Pakete deinstallieren oder nach neu zu installierenden Paketen suchen.<br/><br/>Neue Widget Pakete müssen in de Ordner "data/widgets" kopiert werden.',
    'L_HEADER_PACKET_NAME' => 'Paket Name',
    'L_HEADER_WIDGET_UPDATE' => 'Update',
    'L_HEADER_COMMENT' => 'Kommentar',
    'L_HEADER_CONTENT' => 'Inhalt',
    'L_HEADER_WIDGET_DEINSTALL' => 'Deinstallieren',
    'L_DEINSTALL_WIDGET' => 'Widget-Paket deinstallieren',
    'L_UPDATE_WIDGET' => 'Widget-Paket aktualisieren',
    'L_UPDATE_ALL_WIDGET_PACKETS' => 'Alle Widget-Pakete aktualisieren',
    'L_ADD_WIDGET_PACKETS' => 'Widget-Pakete hinzufügen',
    'L_DELETE_WIDGET_PACKET_CONFIRM_TEXT' => 'Sind Sie sicher, dass Sie das Widget-Paket <b>%1$s</b> wirklich löschen möchten?<br/>Alle Widgets, die zu diesem Paket gehören, werden ebenfalls von alle Steuerseiten entfernt. Mögliche Konfigurationen werden dadurch auch gelöscht.',
    'L_ADD_WIDGET_PACKET_EXPLANATION' => 'Bitte wählen Sie eines der folgenden Widget-Pakete aus, welches Sie installieren möchten.',
    'L_SELECT_WIDGET_PACKET' => 'Es muss ein Widget-Paket ausgewählt werden.',
    'L_ADD_PACKET' => 'Paket installieren',
    'L_NO_WIDGET_PACKET_FOUND' => 'Konnte kein Widget-Paket zur Installation finden.',
    'L_WIDGET_PACKET_CONTENT_NOT_READABLE' => 'Konnte die potenzielle Widget-Paket-Datei "%1$s" nicht auslesen.',
    'L_WIDGET_PACKET_CONTENT_NO_NAME' => 'Konnte den Name nicht aus der Widget-Paket-Datei "%1$s" auslesen. Möglicherweise ist die content.json fehlerhaft.',
    'L_WIDGET_PACKET_CONTENT_FOLDER_ERROR' => 'Konnte den Widget Ordner "%1$s" nicht auslesen.',

// -------------------------------------------------------------------------
//	Pages
// -------------------------------------------------------------------------
    'L_PAGES_HEADER' => 'Steuerungsseiten',
    'L_PAGES_EXPLANATION' => 'Steuerungsseiten lassen sich hinzufügen, löschen und rudimentär ändern. Um den Inhalt einer Steuerungsseite anzupassen klicken sie auf den "Anpassen" Knopf.<br/>Es sollte immer mindestens eine Seite als Startseite markiert sein. Falls keine Startseite gefunden werden kann, wird der Aufruf des root-Pfads zu Problemen führen.<br/><br/>Es kann eine standard Berechtigung festgelegt werden die für alle User (eingeloggt oder auch nicht) gilt.<br/>Darüber hinaus lassen sich individuelle Benutzer-Berechtigungen vergeben. Es wird immer der höchste Wert aus beiden Berechtigungen gewählt.<br/><br/><b>Beim Löschen einer Steuerungsseite werden alle Anpassungen und auf dieser Seite konfigurierte Widgets gelöscht!</b>',
    'L_HEADER_PAGES_ID' => 'ID',
    'L_HEADER_PAGES_EDIT' => 'Ändern',
    'L_HEADER_PAGES_EXPORT' => 'Export',
    'L_HEADER_PAGES_DUPLICATE' => 'Duplizieren',
    'L_HEADER_PAGES_CONFIG' => 'Anpassen',
    'L_HEADER_PAGES_NAME' => 'Name',
    'L_HEADER_PAGES_STANDARD_RIGHT' => 'Standard-Berechtigung',
    'L_HEADER_PAGES_COMMENT' => 'Kommentare',
    'L_HEADER_PAGE_DELETE' => 'Löschen',
    'L_ADD_PAGE' => 'Seite hinzufügen',
    'L_DUPLICATE_PAGE' => 'Seite duplizieren',
    'L_DELETE_PAGE' => 'Seite löschen',
    'L_CONFIG_PAGE' => 'Seite anpassen',
    'L_PAGE_NAME' => 'Name',
    'L_PAGE_STANDARD_RIGHTS' => 'Standard-Berechtigung',
    'L_PAGE_COMMENT' => 'Kommentar',
    'L_TITLE_ADD_PAGE' => 'Seite hinzufügen',
    'L_EDIT_PAGE' => 'Seite bearbeiten',
    'L_EXPORT_PAGE' => 'Seite exportieren',
    'L_TITLE_EDIT_PAGE' => ' Seite bearbeiten',
    'L_DELETE_PAGE_CONFIRM_TEXT' => 'Sind Sie sicher, dass Sie die Seite <b>%1$s</b> mit der ID: %2$s wirklich löschen möchten?',
    'L_PAGE_RIGHTS_NONE' => 'Gesperrt',
    'L_PAGE_RIGHTS_DISPLAY' => 'Anzeigen',
    'L_PAGE_RIGHTS_CONTROL' => 'Bedienen',
    'L_PAGE_RIGHTS_EDIT' => 'Bearbeiten',
    'L_HEADER_PAGE_EDIT_USER_RIGHTS' => 'Benutzer-Berechtigungen',
    'L_EDIT_PAGE_USER_RIGHTS' => 'Benutzer-Berechtigungen bearbeiten',
    'L_TITLE_PAGE_USER_RIGHTS' => 'Benutzer-Berechtigungen für Seite: %1$s',
    'L_SAVE_PAGE_USER_RIGHS' => 'Berechtigungen speichern',
    'L_NO_PAGE_USER_RIGHTS_FOUND' => 'Konnte keine Benutzer-Berechtigungen für diese Seite auslesen.',
    'L_ADD_PAGE_EXPLANATION' => 'Bitte die Felder mit den Werten für eine neue Steuerungsseite ausfüllen. Es müssen alle Felder ausgefüllt werden.',
    'L_PAGE_USER_RIGHTS_EXPLANATION' => 'Bitte für jeden Benutzer die gewünschte Berechtigungsstufe auswählen',
    'L_SHOW_PAGE' => 'Seite anzeigen',
    'L_HEADER_PAGES_SHOW' => 'Anzeigen',
    'L_IMPORT_PAGE' => 'Importieren',
    'L_IMPORT_PAGE_TITLE' => 'Importieren',
    'L_IMPORT_PAGE_TEXT' => 'Um eine zuvor exportierte Steuerungsseite wieder zu importieren, muss selbige in den Ordner "<b>data/import</b>" kopiert werden. Dies ist eine Sicherheitsmaßname um zu garantieren, dass nur echte Administratoren Steuerungseiten importieren können.<br /><br />Bitte eine Datei zum importieren auswählen:',
    'L_OK' => 'OK',
    'L_SELECT_IMPORT_PAGE' => 'Sie müssen eine Steuerungsseite zum importieren auswählen!',
// -------------------------------------------------------------------------
//	Pages-Config
// -------------------------------------------------------------------------
    'L_CONFIG_HEADER_PAGE_TITLE' => 'Seiten-Überschrift',
    'L_CONFIG_HEADER_PAGE_LOGIN_HEADER' => 'Anmelde Seitenkopf zeigen',
    'L_CONFIG_HEADER_PAGE_TAIL' => 'Seiten Fußnote anzeigen',
    'L_CONFIG_HEADER_STYLE' => 'jQuery Style',
    'L_CONFIG_HEADER_CSS_STYLE' => 'CSS-Style',
    'L_CONFIG_HEADER_EVENT_UPDATES' => 'Automatische Werte-Updates',
    'L_CONFIG_HEADER_REFRESH_TIMEOUT' => 'Wartezeit für fehlerhaftes Update - Timeout (s)',
    'L_CONFIG_HEADER_REFRESH_RATE' => 'Zeit zwischen erfolgreichen Updates (s)',
    'L_CONFIG_HEADER_REFRESH_WAIT_TIME' => 'max. Verzögerung bis zu leerem Update (s)',
    'L_CONFIG_SELECT_WIDGET_PACKET' => 'auswählen',
    'L_CONFIG_SELECT_WIDGET' => 'auswählen',
    'L_CONFIG_SAVE_POSITION_CHANGES' => 'Änderungen der Positionen speichern',
    'L_CONFIG_SAVE_CHANGES' => 'Änderungen speichern',
    'L_LANGUAGE_STYLE_STANDARD' => 'Benutzer definiert',
    'L_LANGUAGE_STYLE_NONE' => 'Kein Style',
    'L_CONFIG_ADD_WIDGET' => 'Widget hinzufügen',
    'L_CONFIG_HEADER_Z_INDEX' => 'CSS: z-index',
    'L_CONFIG_HEADER_CONFIG' => 'Konfiguration',
    'L_CONFIG_HEADER_OVERFLOW' => 'CSS: overflow',
    'L_CONFIG_HEADER_WIDGET_PACKET' => 'Widget Paket',
    'L_CONFIG_HEADER_WIDGET_CLASS' => 'Widget Klasse',
    'L_ADD_WIDGET_TITLE' => 'Neues Widget hinzufügen',
    'L_ADD_WIDGET' => 'Widget hinzufügen',
    'L_EDIT_WIDGET_TITLE' => 'Widget-Einstellungen ändern',
    'L_EDIT_WIDGET' => 'Widget ändern',
    'L_DELETE_WIDGET' => 'Widget löschen',
    'L_DELETE_WIDGET_CONFIRM_TEXT' => 'Sind sie sich sicher, dass sie diese Widget wirklich löschen möchten?',
    'L_DUPLICATE_WIDGET' => 'Widget duplizieren',
    'L_LOCK_WIDGET' => 'Widget sperren',
    'L_UNLOCK_WIDGET' => 'Widget entsperren',
    'L_CONFIG_WIDGET_TITLE' => 'Konfiguration bearbeiten',
    'L_SAVE_CONFIG_WIDGET' => 'Konfiguration speichern',
    'L_EDIT_CONFIG' => 'Konfiguration bearbeiten',
    'L_HEADER_PAGES_START' => 'Start',
    'L_PAGE_START_PAGE' => 'Start-Seite',
    'L_CONFIG_HEADER_COMMENT' => 'Kommentar',
    'L_CONFIG_HEADER_POS_LEFT' => 'Links',
    'L_CONFIG_HEADER_POS_TOP' => 'Oben',
    'L_CONFIG_HEADER_POS_WIDTH' => 'Breite',
    'L_CONFIG_HEADER_POS_HEIGHT' => 'Höhe',
    'L_CONFIG_ADD_EMPTY_WIDGET_ERROR' => 'Es muss ein Widget ausgewählt werden.',
    'L_CONFIGURATION' => 'Konfiguration',
    'L_CONFIG_RUN' => 'Anzeigen',
// -------------------------------------------------------------------------
//	Einstellungen
// -------------------------------------------------------------------------
    'L_DEFAULT_VALUES' => 'Standard-Einstellungen',
    'L_DEFAULT_LANGUAGE' => 'Standard-Sprache (nicht angemeldete)',
    'L_DEFAULT_STYLE' => 'Standard-Style (nicht angemeldete)',
    'L_UPDATE_CHECK_TITLE' => 'Automatische Updateprüfung',
    'L_UPDATE_CHECK_TEXT' => 'Automatische Updateprüfung',
    'L_UPDATE_CHECK_STATUS_ON' => '<span class="positive">aktiviert</span>',
    'L_UPDATE_CHECK_STATUS_OFF' => '<span class="negative">deaktiviert</span>',
    'L_UPDATE_CHECK_TOGGLE' => 'umschalten',
    'L_UPDATE_CHECK_INTERVAL_TEXT' => 'Updateprüfungsintervall (s)',
    'L_SET_UPDATE_CHECK_INTERVAL' => 'setzen',
    'L_INSTALLED_HCS_VERSION_TEXT' => 'Installierte HCS-Version',
    'L_NEWEST_HCS_VERSION_TEXT' => 'Aktuellste verfügbare HCS-Version',
    'L_INSTALLED_HCS_VERSION_LATEST' => '<span class="positive">%1$s (aktuell)</span>',
    'L_INSTALLED_HCS_VERSION_OLD' => '<span class="negative">%1$s (veraltete installiert)</span>',
    'L_INSTALLED_HCS_VERSION_PRE' => '<span style="color: #FFFF00">%1$s (noch nicht veröffentlicht)</span>',
    'L_NEWEST_HCS_VERSION_UNKNOWN' => 'unbekannt',
    'L_NEWEST_HCS_VERSION_ERROR' => 'konnte nicht abgefragt werden',
    'L_SHOW_UPDATE_ON_PAGE_TEXT' => 'Zeige Updatehinweis auch auf Steuerungsseiten',
    'L_SHOW_UPDATE_ON_PAGE_STATUS_ON' => 'aktiviert',
    'L_SHOW_UPDATE_ON_PAGE_STATUS_OFF' => 'deaktiviert',
    'L_SHOW_UPDATE_ON_PAGE_TOGGLE' => 'umschalten',
    'L_EXPERT_VIEW_TEXT' => 'Expertenansicht',
    'L_EXPERT_VIEW_TOGGLE' => 'umschalten',


);

// EOF
?>